Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Interface TAG_RMI_CUSTOM_MAX_STREAM_FORMAT

    public interface TAG_RMI_CUSTOM_MAX_STREAM_FORMAT

org/omg/IOP/TAG_RMI_CUSTOM_MAX_STREAM_FORMAT.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/IOP.idl Wednesday, August 11, 2004 5:04:04 AM GMT-08:00

Field Summary
`static int` | `value` RMI-IIOP has multiple stream format versions.

Field Detail

### value

    static final int value

  RMI-IIOP has multiple stream format versions. A server can specify its maximum version by including the TAG_RMI_CUSTOM_MAX_STREAM_FORMAT tagged component or rely on the default of version 1 for GIOP 1.2 and less and version 2 for GIOP 1.3 and higher. See Java to IDL ptc/02-01-12 1.4.11.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.